Up

# NSInputServer

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSInputServer class
2. Software documentation for the NSInputServerMouseTracker protocol
3. Software documentation for the NSInputServiceProvider protocol

# Software documentation for the NSInputServer class

## NSInputServer : NSObject

> Declared in:
>   AppKit/NSInputServer.h

> Conforms to:
>   NSInputServerMouseTracker
>   NSInputServiceProvider

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -initWithDelegate:name:

### initWithDelegate:name:

- (id) initWithDelegate: (id)aDelegate name: (NSString*)name;

Description forthcoming.

# Software documentation for the NSInputServerMouseTracker protocol

## NSInputServerMouseTracker

> Declared in:
>   AppKit/NSInputServer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -mouseDownOnCharacterIndex:atCoordinate:withModifier:client:
- -mouseDraggedOnCharacterIndex:atCoordinate:withModifier:client:
- -mouseUpOnCharacterIndex:atCoordinate:withModifier:client:

### mouseDownOnCharacterIndex:atCoordinate:withModifier:client:

- (BOOL) mouseDownOnCharacterIndex: (unsigned)index atCoordinate: (NSPoint)point withModifier: (unsigned int)flags client: (id)sender;

Description forthcoming.

### mouseDraggedOnCharacterIndex:atCoordinate:withModifier:client:

- (BOOL) mouseDraggedOnCharacterIndex: (unsigned)index atCoordinate: (NSPoint)point withModifier: (unsigned int)flags client: (id)sender;

Description forthcoming.

### mouseUpOnCharacterIndex:atCoordinate:withModifier:client:

- (void) mouseUpOnCharacterIndex: (unsigned)index atCoordinate: (NSPoint)point withModifier: (unsigned int)flags client: (id)sender;

Description forthcoming.

# Software documentation for the NSInputServiceProvider protocol

## NSInputServiceProvider

> Declared in:
>   AppKit/NSInputServer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -activeConversationChanged:toNewConversation:
- -activeConversationWillChange:fromOldConversation:
- -canBeDisabled
- -doCommandBySelector:client:
- -inputClientBecomeActive:
- -inputClientDisabled:
- -inputClientEnabled:
- -inputClientResignActive:
- -insertText:client:
- -markedTextAbandoned:
- -markedTextSelectionChanged:client:
- -terminate:
- -wantsToDelayTextChangeNotifications
- -wantsToHandleMouseEvents
- -wantsToInterpretAllKeystrokes

### activeConversationChanged:toNewConversation:

- (void) activeConversationChanged: (id)sender toNewConversation: (long)newConversation;

Description forthcoming.

### activeConversationWillChange:fromOldConversation:

- (void) activeConversationWillChange: (id)sender fromOldConversation: (long)oldConversation;

Description forthcoming.

### canBeDisabled

- (BOOL) canBeDisabled;

Description forthcoming.

### doCommandBySelector:client:

- (void) doCommandBySelector: (SEL)aSelector client: (id)sender;

Description forthcoming.

### inputClientBecomeActive:

- (void) inputClientBecomeActive: (id)sender;

Description forthcoming.

### inputClientDisabled:

- (void) inputClientDisabled: (id)sender;

Description forthcoming.

### inputClientEnabled:

- (void) inputClientEnabled: (id)sender;

Description forthcoming.

### inputClientResignActive:

- (void) inputClientResignActive: (id)sender;

Description forthcoming.

### insertText:client:

- (void) insertText: (id)aString client: (id)sender;

Description forthcoming.

### markedTextAbandoned:

- (void) markedTextAbandoned: (id)sender;

Description forthcoming.

### markedTextSelectionChanged:client:

- (void) markedTextSelectionChanged: (NSRange)newSelection client: (id)sender;

Description forthcoming.

### terminate:

- (void) terminate: (id)sender;

Description forthcoming.

### wantsToDelayTextChangeNotifications

- (BOOL) wantsToDelayTextChangeNotifications;

Description forthcoming.

### wantsToHandleMouseEvents

- (BOOL) wantsToHandleMouseEvents;

Description forthcoming.

### wantsToInterpretAllKeystrokes

- (BOOL) wantsToInterpretAllKeystrokes;

Description forthcoming.

Up